### Method

# Gsk PathBuildersvg_arc_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_svg_arc_to (
      GskPathBuilder* self,
      float rx,
      float ry,
      float x_axis_rotation,
      gboolean large_arc,
      gboolean positive_sweep,
      float x,
      float y
    )

#### Description [src]

Implements arc-to according to the SVG spec.

A convenience function that implements the SVG arc_to functionality.

After this, `x`, `y` will be the new current point.

Available since: 4.14

#### Parameters

`rx`

  Type: `float`

  X radius.

`ry`

  Type: `float`

  Y radius.

`x_axis_rotation`

  Type: `float`

  The rotation of the ellipsis.

`large_arc`

  Type: `gboolean`

  Whether to add the large arc.

`positive_sweep`

  Type: `gboolean`

  Whether to sweep in the positive direction.

`x`

  Type: `float`

  The X coordinate of the endpoint.

`y`

  Type: `float`

  The Y coordinate of the endpoint.